<?php

class onDatasethookFormAdminCtypesDataset extends cmsAction {

    public function run($data){
	
	$sorting_value_items = array(
                            'asc'  => LANG_SORTING_ASC,
                            'desc' => LANG_SORTING_DESC,
							'my' =>   'My sorting'
                        );
	
	$data[0]->setFieldProperty('sorting', 'sorting', 'value_items', $sorting_value_items);
	
	$sorting_multiple_keys = array(
                            'by' => 'field', 'to' => 'field_select', 'value' => 'field_value'
                        );
						
	$data[0]->setFieldProperty('sorting', 'sorting', 'multiple_keys', $sorting_multiple_keys);					
	
	$filter_value_items = array(
                            'int'  => array(
                                'eq' => '=',
                                'gt' => '&gt;',
                                'lt' => '&lt;',
                                'ge' => '&ge;',
                                'le' => '&le;',
                                'nn' => LANG_FILTER_NOT_NULL,
                                'ni' => LANG_FILTER_IS_NULL,
								'fi' => 'My condition'
                            ),
                            'str'  => array(
                                'eq' => '=',
                                'lk' => LANG_FILTER_LIKE,
                                'ln' => LANG_FILTER_NOT_LIKE,
                                'lb' => LANG_FILTER_LIKE_BEGIN,
                                'lf' => LANG_FILTER_LIKE_END,
                                'nn' => LANG_FILTER_NOT_NULL,
                                'ni' => LANG_FILTER_IS_NULL,
								'fi' => 'My condition'
                            ),
                            'date'  => array(
                                'eq' => '=',
                                'gt' => '&gt;',
                                'lt' => '&lt;',
                                'ge' => '&ge;',
                                'le' => '&le;',
                                'dy' => LANG_FILTER_DATE_YOUNGER,
                                'do' => LANG_FILTER_DATE_OLDER,
                                'nn' => LANG_FILTER_NOT_NULL,
                                'ni' => LANG_FILTER_IS_NULL,
								'fi' => 'My condition'
                            )
                        );
	
	$data[0]->setFieldProperty('filter', 'filters', 'value_items', $filter_value_items);

        return $data;

    }

}
